$(() => {
$('#scheduler').dxScheduler({
timeZone: 'America/Los_Angeles',
dataSource: data,
views: ['agenda'],
currentView: 'agenda',
currentDate: new Date(2021, 4, 11),
startDayHour: 9,
resources: [
{
fieldExpr: 'assigneeId',
allowMultiple: true,
dataSource: assignees,
label: 'Assignee',
useColorAsDefault: true,
}, {
fieldExpr: 'priorityId',
dataSource: priorities,
label: 'Priority',
}],
height: 600,
});
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.6/css/dx.light.css" />
<script src="https://cdn3.devexpress.com/jslib/22.2.6/js/dx.all.js"></script>
<script src="data.js"></script>
<script src="index.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="scheduler"></div>
</div>
</body>
</html>
const assignees = [{
text: 'Samantha Bright',
id: 1,
color: '#727bd2',
}, {
text: 'John Heart',
id: 2,
color: '#32c9ed',
}, {
text: 'Todd Hoffman',
id: 3,
color: '#2a7ee4',
}, {
text: 'Sandra Johnson',
id: 4,
color: '#7b49d3',
}];
const priorities = [{
text: 'High',
id: 1,
color: '#cc5c53',
}, {
text: 'Low',
id: 2,
color: '#ff9747',
}];
const data = [{
text: 'Google AdWords Strategy',
startDate: new Date('2021-05-03T16:00:00.000Z'),
endDate: new Date('2021-05-03T17:30:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'New Brochures',
startDate: new Date('2021-05-03T18:30:00.000Z'),
endDate: new Date('2021-05-03T21:15:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Brochure Design Review',
startDate: new Date('2021-05-03T20:15:00.000Z'),
endDate: new Date('2021-05-03T23:15:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'Website Re-Design Plan',
startDate: new Date('2021-05-03T23:45:00.000Z'),
endDate: new Date('2021-05-04T18:15:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Rollout of New Website and Marketing Brochures',
startDate: new Date('2021-05-04T15:15:00.000Z'),
endDate: new Date('2021-05-04T17:45:00.000Z'),
assigneeId: 4,
priorityId: 2,
}, {
text: 'Update Sales Strategy Documents',
startDate: new Date('2021-05-04T19:00:00.000Z'),
endDate: new Date('2021-05-04T20:45:00.000Z'),
assigneeId: 1,
priorityId: 2,
}, {
text: 'Non-Compete Agreements',
startDate: new Date('2021-05-05T15:15:00.000Z'),
endDate: new Date('2021-05-05T16:00:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Approve Hiring of John Jeffers',
startDate: new Date('2021-05-05T17:00:00.000Z'),
endDate: new Date('2021-05-05T18:15:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'Update NDA Agreement',
startDate: new Date('2021-05-05T18:45:00.000Z'),
endDate: new Date('2021-05-05T20:45:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Update Employee Files with New NDA',
startDate: new Date('2021-05-05T21:00:00.000Z'),
endDate: new Date('2021-05-05T23:45:00.000Z'),
assigneeId: 4,
priorityId: 1,
}, {
text: 'Submit Questions Regarding New NDA',
startDate: new Date('2021-05-07T01:00:00.000Z'),
endDate: new Date('2021-05-06T16:30:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Submit Signed NDA',
startDate: new Date('2021-05-06T19:45:00.000Z'),
endDate: new Date('2021-05-06T21:00:00.000Z'),
assigneeId: 1,
priorityId: 2,
}, {
text: 'Review Revenue Projections',
startDate: new Date('2021-05-07T00:15:00.000Z'),
endDate: new Date('2021-05-06T15:00:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Comment on Revenue Projections',
startDate: new Date('2021-05-07T16:15:00.000Z'),
endDate: new Date('2021-05-07T18:15:00.000Z'),
assigneeId: 3,
priorityId: 2,
}, {
text: 'Provide New Health Insurance Docs',
startDate: new Date('2021-05-07T19:45:00.000Z'),
endDate: new Date('2021-05-07T21:15:00.000Z'),
assigneeId: 3,
priorityId: 2,
}, {
text: 'Review Changes to Health Insurance Coverage',
startDate: new Date('2021-05-07T21:15:00.000Z'),
endDate: new Date('2021-05-07T22:30:00.000Z'),
assigneeId: 3,
priorityId: 2,
}, {
text: 'Review Training Course for any Omissions',
startDate: new Date('2021-05-10T21:00:00.000Z'),
endDate: new Date('2021-05-11T19:00:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Recall Rebate Form',
startDate: new Date('2021-05-10T19:45:00.000Z'),
endDate: new Date('2021-05-10T20:15:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Create Report on Customer Feedback',
startDate: new Date('2021-05-11T22:15:00.000Z'),
endDate: new Date('2021-05-12T00:30:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'Review Customer Feedback Report',
startDate: new Date('2021-05-11T23:15:00.000Z'),
endDate: new Date('2021-05-12T01:30:00.000Z'),
assigneeId: 2,
priorityId: 1,
}, {
text: 'Customer Feedback Report Analysis',
startDate: new Date('2021-05-12T16:30:00.000Z'),
endDate: new Date('2021-05-12T17:30:00.000Z'),
recurrenceRule: 'FREQ=WEEKLY',
assigneeId: 4,
priorityId: 2,
}, {
text: 'Prepare Shipping Cost Analysis Report',
startDate: new Date('2021-05-12T19:30:00.000Z'),
endDate: new Date('2021-05-12T20:30:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Provide Feedback on Shippers',
startDate: new Date('2021-05-12T21:15:00.000Z'),
endDate: new Date('2021-05-12T23:00:00.000Z'),
assigneeId: 4,
priorityId: 2,
}, {
text: 'Select Preferred Shipper',
startDate: new Date('2021-05-13T00:30:00.000Z'),
endDate: new Date('2021-05-13T03:00:00.000Z'),
assigneeId: 1,
priorityId: 2,
}, {
text: 'Complete Shipper Selection Form',
startDate: new Date('2021-05-13T15:30:00.000Z'),
endDate: new Date('2021-05-13T17:00:00.000Z'),
assigneeId: 1,
priorityId: 2,
}, {
text: 'Upgrade Server Hardware',
startDate: new Date('2021-05-13T19:00:00.000Z'),
endDate: new Date('2021-05-13T21:15:00.000Z'),
recurrenceRule: 'FREQ=WEEKLY',
assigneeId: 2,
priorityId: 1,
}, {
text: 'Upgrade Personal Computers',
startDate: new Date('2021-05-13T21:45:00.000Z'),
endDate: new Date('2021-05-13T23:30:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Upgrade Apps to Windows RT or stay with WinForms',
startDate: new Date('2021-05-14T17:30:00.000Z'),
endDate: new Date('2021-05-14T20:00:00.000Z'),
assigneeId: 3,
priorityId: 2,
}, {
text: 'Estimate Time Required to Touch-Enable Apps',
startDate: new Date('2021-05-14T21:45:00.000Z'),
endDate: new Date('2021-05-14T23:30:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Report on Tranistion to Touch-Based Apps',
startDate: new Date('2021-05-15T01:30:00.000Z'),
endDate: new Date('2021-05-15T02:00:00.000Z'),
assigneeId: 4,
priorityId: 1,
}, {
text: 'Submit New Website Design',
startDate: new Date('2021-05-17T15:00:00.000Z'),
endDate: new Date('2021-05-17T17:00:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'Create Icons for Website',
startDate: new Date('2021-05-17T18:30:00.000Z'),
endDate: new Date('2021-05-17T20:15:00.000Z'),
assigneeId: 4,
priorityId: 2,
}, {
text: 'Create New Product Pages',
startDate: new Date('2021-05-18T16:45:00.000Z'),
endDate: new Date('2021-05-18T18:45:00.000Z'),
assigneeId: 2,
priorityId: 1,
}, {
text: 'Approve Website Launch',
startDate: new Date('2021-05-18T19:00:00.000Z'),
endDate: new Date('2021-05-18T22:15:00.000Z'),
assigneeId: 3,
priorityId: 2,
}, {
text: 'Update Customer Shipping Profiles',
startDate: new Date('2021-05-19T16:30:00.000Z'),
endDate: new Date('2021-05-19T18:00:00.000Z'),
assigneeId: 1,
priorityId: 2,
}, {
text: 'Create New Shipping Return Labels',
startDate: new Date('2021-05-19T19:45:00.000Z'),
endDate: new Date('2021-05-19T21:00:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Get Design for Shipping Return Labels',
startDate: new Date('2021-05-19T22:00:00.000Z'),
endDate: new Date('2021-05-19T23:30:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'PSD needed for Shipping Return Labels',
startDate: new Date('2021-05-20T15:30:00.000Z'),
endDate: new Date('2021-05-20T16:15:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Contact ISP and Discuss Payment Options',
startDate: new Date('2021-05-20T18:30:00.000Z'),
endDate: new Date('2021-05-20T23:00:00.000Z'),
assigneeId: 4,
priorityId: 1,
}, {
text: 'Prepare Year-End Support Summary Report',
startDate: new Date('2021-05-21T00:00:00.000Z'),
endDate: new Date('2021-05-21T03:00:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Review New Training Material',
startDate: new Date('2021-05-21T15:00:00.000Z'),
endDate: new Date('2021-05-21T16:15:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'Distribute Training Material to Support Staff',
startDate: new Date('2021-05-21T19:45:00.000Z'),
endDate: new Date('2021-05-21T21:00:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Training Material Distribution Schedule',
startDate: new Date('2021-05-21T21:15:00.000Z'),
endDate: new Date('2021-05-21T23:15:00.000Z'),
assigneeId: 3,
priorityId: 2,
}, {
text: 'Approval on Converting to New HDMI Specification',
startDate: new Date('2021-05-24T16:30:00.000Z'),
endDate: new Date('2021-05-24T17:15:00.000Z'),
assigneeId: 4,
priorityId: 2,
}, {
text: 'Create New Spike for Automation Server',
startDate: new Date('2021-05-24T17:00:00.000Z'),
endDate: new Date('2021-05-24T19:30:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Code Review - New Automation Server',
startDate: new Date('2021-05-24T20:00:00.000Z'),
endDate: new Date('2021-05-24T22:00:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Confirm Availability for Sales Meeting',
startDate: new Date('2021-05-25T17:15:00.000Z'),
endDate: new Date('2021-05-25T22:15:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'Reschedule Sales Team Meeting',
startDate: new Date('2021-05-25T23:15:00.000Z'),
endDate: new Date('2021-05-26T01:00:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Send 2 Remotes for Giveaways',
startDate: new Date('2021-05-26T16:30:00.000Z'),
endDate: new Date('2021-05-26T18:45:00.000Z'),
assigneeId: 3,
priorityId: 2,
}, {
text: 'Discuss Product Giveaways with Management',
startDate: new Date('2021-05-26T19:15:00.000Z'),
endDate: new Date('2021-05-26T23:45:00.000Z'),
assigneeId: 4,
priorityId: 1,
}, {
text: 'Replace Desktops on the 3rd Floor',
startDate: new Date('2021-05-27T16:30:00.000Z'),
endDate: new Date('2021-05-27T17:45:00.000Z'),
assigneeId: 2,
priorityId: 1,
}, {
text: 'Update Database with New Leads',
startDate: new Date('2021-05-27T19:00:00.000Z'),
endDate: new Date('2021-05-27T21:15:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'Mail New Leads for Follow Up',
startDate: new Date('2021-05-27T21:45:00.000Z'),
endDate: new Date('2021-05-27T22:30:00.000Z'),
assigneeId: 1,
priorityId: 2,
}, {
text: 'Send Territory Sales Breakdown',
startDate: new Date('2021-05-28T01:00:00.000Z'),
endDate: new Date('2021-05-28T03:00:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'Territory Sales Breakdown Report',
startDate: new Date('2021-05-28T15:45:00.000Z'),
endDate: new Date('2021-05-28T16:45:00.000Z'),
assigneeId: 3,
priorityId: 2,
}, {
text: 'Report on the State of Engineering Dept',
startDate: new Date('2021-05-28T21:45:00.000Z'),
endDate: new Date('2021-05-28T22:30:00.000Z'),
assigneeId: 4,
priorityId: 1,
}, {
text: 'Staff Productivity Report',
startDate: new Date('2021-05-28T23:15:00.000Z'),
endDate: new Date('2021-05-29T02:30:00.000Z'),
assigneeId: 1,
priorityId: 1,
}];

<dx-scheduler
timeZone="America/Los_Angeles"
[dataSource]="appointmentsData"
[views]="['agenda']"
currentView="agenda"
[currentDate]="currentDate"
[startDayHour]="9"
[height]="600"
>
<dxi-resource
fieldExpr="assigneeId"
label="Assignee"
[allowMultiple]="true"
[dataSource]="assignees"
[useColorAsDefault]="true"
>
</dxi-resource>
<dxi-resource
fieldExpr="priorityId"
label="Priority"
[dataSource]="priorities"
>
</dxi-resource>
</dx-scheduler>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxSchedulerModule } from 'devextreme-angular';
import {
Appointment, Service, Priority, Assignee,
} from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
styleUrls: ['app/app.component.css'],
selector: 'demo-app',
templateUrl: 'app/app.component.html',
providers: [Service],
})
export class AppComponent {
appointmentsData: Appointment[];
assignees: Assignee[];
priorities: Priority[];
currentDate: Date = new Date(2021, 4, 11);
constructor(service: Service) {
this.appointmentsData = service.getAppointments();
this.assignees = service.getAssignees();
this.priorities = service.getPriorities();
}
}
@NgModule({
imports: [
BrowserModule,
DxSchedulerModule,
],
declarations: [AppComponent],
bootstrap: [AppComponent],
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
import { Injectable } from '@angular/core';
export class Appointment {
text: string;
startDate: Date;
endDate: Date;
allDay?: boolean;
assigneeId: number;
priorityId: number;
recurrenceRule?: string;
}
export class Assignee {
text: string;
id: number;
color: string;
}
export class Priority {
text: string;
id: number;
color: string;
}
const appointments: Appointment[] = [
{
text: 'Google AdWords Strategy',
startDate: new Date('2021-05-03T16:00:00.000Z'),
endDate: new Date('2021-05-03T17:30:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'New Brochures',
startDate: new Date('2021-05-03T18:30:00.000Z'),
endDate: new Date('2021-05-03T21:15:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Brochure Design Review',
startDate: new Date('2021-05-03T20:15:00.000Z'),
endDate: new Date('2021-05-03T23:15:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'Website Re-Design Plan',
startDate: new Date('2021-05-03T23:45:00.000Z'),
endDate: new Date('2021-05-04T18:15:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Rollout of New Website and Marketing Brochures',
startDate: new Date('2021-05-04T15:15:00.000Z'),
endDate: new Date('2021-05-04T17:45:00.000Z'),
assigneeId: 4,
priorityId: 2,
}, {
text: 'Update Sales Strategy Documents',
startDate: new Date('2021-05-04T19:00:00.000Z'),
endDate: new Date('2021-05-04T20:45:00.000Z'),
assigneeId: 1,
priorityId: 2,
}, {
text: 'Non-Compete Agreements',
startDate: new Date('2021-05-05T15:15:00.000Z'),
endDate: new Date('2021-05-05T16:00:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Approve Hiring of John Jeffers',
startDate: new Date('2021-05-05T17:00:00.000Z'),
endDate: new Date('2021-05-05T18:15:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'Update NDA Agreement',
startDate: new Date('2021-05-05T18:45:00.000Z'),
endDate: new Date('2021-05-05T20:45:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Update Employee Files with New NDA',
startDate: new Date('2021-05-05T21:00:00.000Z'),
endDate: new Date('2021-05-05T23:45:00.000Z'),
assigneeId: 4,
priorityId: 1,
}, {
text: 'Submit Questions Regarding New NDA',
startDate: new Date('2021-05-07T01:00:00.000Z'),
endDate: new Date('2021-05-06T16:30:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Submit Signed NDA',
startDate: new Date('2021-05-06T19:45:00.000Z'),
endDate: new Date('2021-05-06T21:00:00.000Z'),
assigneeId: 1,
priorityId: 2,
}, {
text: 'Review Revenue Projections',
startDate: new Date('2021-05-07T00:15:00.000Z'),
endDate: new Date('2021-05-06T15:00:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Comment on Revenue Projections',
startDate: new Date('2021-05-07T16:15:00.000Z'),
endDate: new Date('2021-05-07T18:15:00.000Z'),
assigneeId: 3,
priorityId: 2,
}, {
text: 'Provide New Health Insurance Docs',
startDate: new Date('2021-05-07T19:45:00.000Z'),
endDate: new Date('2021-05-07T21:15:00.000Z'),
assigneeId: 3,
priorityId: 2,
}, {
text: 'Review Changes to Health Insurance Coverage',
startDate: new Date('2021-05-07T21:15:00.000Z'),
endDate: new Date('2021-05-07T22:30:00.000Z'),
assigneeId: 3,
priorityId: 2,
}, {
text: 'Review Training Course for any Omissions',
startDate: new Date('2021-05-10T21:00:00.000Z'),
endDate: new Date('2021-05-11T19:00:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Recall Rebate Form',
startDate: new Date('2021-05-10T19:45:00.000Z'),
endDate: new Date('2021-05-10T20:15:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Create Report on Customer Feedback',
startDate: new Date('2021-05-11T22:15:00.000Z'),
endDate: new Date('2021-05-12T00:30:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'Review Customer Feedback Report',
startDate: new Date('2021-05-11T23:15:00.000Z'),
endDate: new Date('2021-05-12T01:30:00.000Z'),
assigneeId: 2,
priorityId: 1,
}, {
text: 'Customer Feedback Report Analysis',
startDate: new Date('2021-05-12T16:30:00.000Z'),
endDate: new Date('2021-05-12T17:30:00.000Z'),
recurrenceRule: 'FREQ=WEEKLY',
assigneeId: 4,
priorityId: 2,
}, {
text: 'Prepare Shipping Cost Analysis Report',
startDate: new Date('2021-05-12T19:30:00.000Z'),
endDate: new Date('2021-05-12T20:30:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Provide Feedback on Shippers',
startDate: new Date('2021-05-12T21:15:00.000Z'),
endDate: new Date('2021-05-12T23:00:00.000Z'),
assigneeId: 4,
priorityId: 2,
}, {
text: 'Select Preferred Shipper',
startDate: new Date('2021-05-13T00:30:00.000Z'),
endDate: new Date('2021-05-13T03:00:00.000Z'),
assigneeId: 1,
priorityId: 2,
}, {
text: 'Complete Shipper Selection Form',
startDate: new Date('2021-05-13T15:30:00.000Z'),
endDate: new Date('2021-05-13T17:00:00.000Z'),
assigneeId: 1,
priorityId: 2,
}, {
text: 'Upgrade Server Hardware',
startDate: new Date('2021-05-13T19:00:00.000Z'),
endDate: new Date('2021-05-13T21:15:00.000Z'),
recurrenceRule: 'FREQ=WEEKLY',
assigneeId: 2,
priorityId: 1,
}, {
text: 'Upgrade Personal Computers',
startDate: new Date('2021-05-13T21:45:00.000Z'),
endDate: new Date('2021-05-13T23:30:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Upgrade Apps to Windows RT or stay with WinForms',
startDate: new Date('2021-05-14T17:30:00.000Z'),
endDate: new Date('2021-05-14T20:00:00.000Z'),
assigneeId: 3,
priorityId: 2,
}, {
text: 'Estimate Time Required to Touch-Enable Apps',
startDate: new Date('2021-05-14T21:45:00.000Z'),
endDate: new Date('2021-05-14T23:30:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Report on Tranistion to Touch-Based Apps',
startDate: new Date('2021-05-15T01:30:00.000Z'),
endDate: new Date('2021-05-15T02:00:00.000Z'),
assigneeId: 4,
priorityId: 1,
}, {
text: 'Submit New Website Design',
startDate: new Date('2021-05-17T15:00:00.000Z'),
endDate: new Date('2021-05-17T17:00:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'Create Icons for Website',
startDate: new Date('2021-05-17T18:30:00.000Z'),
endDate: new Date('2021-05-17T20:15:00.000Z'),
assigneeId: 4,
priorityId: 2,
}, {
text: 'Create New Product Pages',
startDate: new Date('2021-05-18T16:45:00.000Z'),
endDate: new Date('2021-05-18T18:45:00.000Z'),
assigneeId: 2,
priorityId: 1,
}, {
text: 'Approve Website Launch',
startDate: new Date('2021-05-18T19:00:00.000Z'),
endDate: new Date('2021-05-18T22:15:00.000Z'),
assigneeId: 3,
priorityId: 2,
}, {
text: 'Update Customer Shipping Profiles',
startDate: new Date('2021-05-19T16:30:00.000Z'),
endDate: new Date('2021-05-19T18:00:00.000Z'),
assigneeId: 1,
priorityId: 2,
}, {
text: 'Create New Shipping Return Labels',
startDate: new Date('2021-05-19T19:45:00.000Z'),
endDate: new Date('2021-05-19T21:00:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Get Design for Shipping Return Labels',
startDate: new Date('2021-05-19T22:00:00.000Z'),
endDate: new Date('2021-05-19T23:30:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'PSD needed for Shipping Return Labels',
startDate: new Date('2021-05-20T15:30:00.000Z'),
endDate: new Date('2021-05-20T16:15:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Contact ISP and Discuss Payment Options',
startDate: new Date('2021-05-20T18:30:00.000Z'),
endDate: new Date('2021-05-20T23:00:00.000Z'),
assigneeId: 4,
priorityId: 1,
}, {
text: 'Prepare Year-End Support Summary Report',
startDate: new Date('2021-05-21T00:00:00.000Z'),
endDate: new Date('2021-05-21T03:00:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Review New Training Material',
startDate: new Date('2021-05-21T15:00:00.000Z'),
endDate: new Date('2021-05-21T16:15:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'Distribute Training Material to Support Staff',
startDate: new Date('2021-05-21T19:45:00.000Z'),
endDate: new Date('2021-05-21T21:00:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Training Material Distribution Schedule',
startDate: new Date('2021-05-21T21:15:00.000Z'),
endDate: new Date('2021-05-21T23:15:00.000Z'),
assigneeId: 3,
priorityId: 2,
}, {
text: 'Approval on Converting to New HDMI Specification',
startDate: new Date('2021-05-24T16:30:00.000Z'),
endDate: new Date('2021-05-24T17:15:00.000Z'),
assigneeId: 4,
priorityId: 2,
}, {
text: 'Create New Spike for Automation Server',
startDate: new Date('2021-05-24T17:00:00.000Z'),
endDate: new Date('2021-05-24T19:30:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Code Review - New Automation Server',
startDate: new Date('2021-05-24T20:00:00.000Z'),
endDate: new Date('2021-05-24T22:00:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Confirm Availability for Sales Meeting',
startDate: new Date('2021-05-25T17:15:00.000Z'),
endDate: new Date('2021-05-25T22:15:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'Reschedule Sales Team Meeting',
startDate: new Date('2021-05-25T23:15:00.000Z'),
endDate: new Date('2021-05-26T01:00:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Send 2 Remotes for Giveaways',
startDate: new Date('2021-05-26T16:30:00.000Z'),
endDate: new Date('2021-05-26T18:45:00.000Z'),
assigneeId: 3,
priorityId: 2,
}, {
text: 'Discuss Product Giveaways with Management',
startDate: new Date('2021-05-26T19:15:00.000Z'),
endDate: new Date('2021-05-26T23:45:00.000Z'),
assigneeId: 4,
priorityId: 1,
}, {
text: 'Replace Desktops on the 3rd Floor',
startDate: new Date('2021-05-27T16:30:00.000Z'),
endDate: new Date('2021-05-27T17:45:00.000Z'),
assigneeId: 2,
priorityId: 1,
}, {
text: 'Update Database with New Leads',
startDate: new Date('2021-05-27T19:00:00.000Z'),
endDate: new Date('2021-05-27T21:15:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'Mail New Leads for Follow Up',
startDate: new Date('2021-05-27T21:45:00.000Z'),
endDate: new Date('2021-05-27T22:30:00.000Z'),
assigneeId: 1,
priorityId: 2,
}, {
text: 'Send Territory Sales Breakdown',
startDate: new Date('2021-05-28T01:00:00.000Z'),
endDate: new Date('2021-05-28T03:00:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'Territory Sales Breakdown Report',
startDate: new Date('2021-05-28T15:45:00.000Z'),
endDate: new Date('2021-05-28T16:45:00.000Z'),
assigneeId: 3,
priorityId: 2,
}, {
text: 'Report on the State of Engineering Dept',
startDate: new Date('2021-05-28T21:45:00.000Z'),
endDate: new Date('2021-05-28T22:30:00.000Z'),
assigneeId: 4,
priorityId: 1,
}, {
text: 'Staff Productivity Report',
startDate: new Date('2021-05-28T23:15:00.000Z'),
endDate: new Date('2021-05-29T02:30:00.000Z'),
assigneeId: 1,
priorityId: 1,
},
];
const assignees: Assignee[] = [
{
text: 'Samantha Bright',
id: 1,
color: '#727bd2',
}, {
text: 'John Heart',
id: 2,
color: '#32c9ed',
}, {
text: 'Todd Hoffman',
id: 3,
color: '#2a7ee4',
}, {
text: 'Sandra Johnson',
id: 4,
color: '#7b49d3',
},
];
const priorities: Priority[] = [
{
text: 'High',
id: 1,
color: '#cc5c53',
}, {
text: 'Low',
id: 2,
color: '#ff9747',
},
];
@Injectable()
export class Service {
getAppointments(): Appointment[] {
return appointments;
}
getAssignees(): Assignee[] {
return assignees;
}
getPriorities(): Priority[] {
return priorities;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.3.5/lib/typescript.js',
'@angular/core': 'npm:@angular/core@12.2.16',
'@angular/platform-browser': 'npm:@angular/platform-browser@12.2.16',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic@12.2.16',
'@angular/forms': 'npm:@angular/forms@12.2.16',
'@angular/common': 'npm:@angular/common@12.2.16',
'@angular/compiler': 'npm:@angular/compiler@12.2.16',
'tslib': 'npm:tslib@2.3.1/tslib.js',
'rxjs': 'npm:rxjs@6.4.0',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@21.2.7/cjs',
'devextreme/bundles/dx.all': 'npm:devextreme@21.2.7/bundles/dx.all.js',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.14/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.47',
'devexpress-gantt': 'npm:devexpress-gantt@4.0.13',
'devextreme-angular': 'npm:devextreme-angular@21.2.7',
'@devextreme/runtime': 'npm:@devextreme/runtime@2.3.14',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@2.3.14/inferno/package.json',
'npm:@angular/*/package.json',
'npm:@angular/common@12.2.16/*/package.json',
'npm:rxjs@6.4.0/package.json',
'npm:rxjs@6.4.0/operators/package.json',
'npm:devextreme-angular@21.2.7/*/package.json',
'npm:devextreme-angular@21.2.7/ui/*/package.json',
'npm:devextreme-angular@21.2.7/package.json',
'npm:devexpress-diagram@2.1.47/package.json',
'npm:devexpress-gantt@4.0.13/package.json',
],
};
System.config(window.config);
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/21.2.7/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/21.2.7/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.11.4/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.3/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

import React from 'react';
import Scheduler, { Resource } from 'devextreme-react/scheduler';
import { assignees, data, priorities } from './data.js';
const currentDate = new Date(2021, 4, 11);
const views = ['agenda'];
class App extends React.Component {
render() {
return (
<Scheduler
timeZone="America/Los_Angeles"
dataSource={data}
views={views}
currentView="agenda"
defaultCurrentDate={currentDate}
height={600}
startDayHour={9}>
<Resource
dataSource={assignees}
allowMultiple={true}
fieldExpr="assigneeId"
label="Assignee"
useColorAsDefault={true}
/>
<Resource
dataSource={priorities}
fieldExpr="priorityId"
label="Priority"
/>
</Scheduler>
);
}
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.1.5/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
<link rel="stylesheet" type="text/css" href="styles.css" />
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
export const assignees = [{
text: 'Samantha Bright',
id: 1,
color: '#727bd2',
}, {
text: 'John Heart',
id: 2,
color: '#32c9ed',
}, {
text: 'Todd Hoffman',
id: 3,
color: '#2a7ee4',
}, {
text: 'Sandra Johnson',
id: 4,
color: '#7b49d3',
}];
export const priorities = [{
text: 'High',
id: 1,
color: '#cc5c53',
}, {
text: 'Low',
id: 2,
color: '#ff9747',
}];
export const data = [{
text: 'Google AdWords Strategy',
startDate: new Date('2021-05-03T16:00:00.000Z'),
endDate: new Date('2021-05-03T17:30:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'New Brochures',
startDate: new Date('2021-05-03T18:30:00.000Z'),
endDate: new Date('2021-05-03T21:15:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Brochure Design Review',
startDate: new Date('2021-05-03T20:15:00.000Z'),
endDate: new Date('2021-05-03T23:15:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'Website Re-Design Plan',
startDate: new Date('2021-05-03T23:45:00.000Z'),
endDate: new Date('2021-05-04T18:15:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Rollout of New Website and Marketing Brochures',
startDate: new Date('2021-05-04T15:15:00.000Z'),
endDate: new Date('2021-05-04T17:45:00.000Z'),
assigneeId: 4,
priorityId: 2,
}, {
text: 'Update Sales Strategy Documents',
startDate: new Date('2021-05-04T19:00:00.000Z'),
endDate: new Date('2021-05-04T20:45:00.000Z'),
assigneeId: 1,
priorityId: 2,
}, {
text: 'Non-Compete Agreements',
startDate: new Date('2021-05-05T15:15:00.000Z'),
endDate: new Date('2021-05-05T16:00:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Approve Hiring of John Jeffers',
startDate: new Date('2021-05-05T17:00:00.000Z'),
endDate: new Date('2021-05-05T18:15:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'Update NDA Agreement',
startDate: new Date('2021-05-05T18:45:00.000Z'),
endDate: new Date('2021-05-05T20:45:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Update Employee Files with New NDA',
startDate: new Date('2021-05-05T21:00:00.000Z'),
endDate: new Date('2021-05-05T23:45:00.000Z'),
assigneeId: 4,
priorityId: 1,
}, {
text: 'Submit Questions Regarding New NDA',
startDate: new Date('2021-05-07T01:00:00.000Z'),
endDate: new Date('2021-05-06T16:30:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Submit Signed NDA',
startDate: new Date('2021-05-06T19:45:00.000Z'),
endDate: new Date('2021-05-06T21:00:00.000Z'),
assigneeId: 1,
priorityId: 2,
}, {
text: 'Review Revenue Projections',
startDate: new Date('2021-05-07T00:15:00.000Z'),
endDate: new Date('2021-05-06T15:00:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Comment on Revenue Projections',
startDate: new Date('2021-05-07T16:15:00.000Z'),
endDate: new Date('2021-05-07T18:15:00.000Z'),
assigneeId: 3,
priorityId: 2,
}, {
text: 'Provide New Health Insurance Docs',
startDate: new Date('2021-05-07T19:45:00.000Z'),
endDate: new Date('2021-05-07T21:15:00.000Z'),
assigneeId: 3,
priorityId: 2,
}, {
text: 'Review Changes to Health Insurance Coverage',
startDate: new Date('2021-05-07T21:15:00.000Z'),
endDate: new Date('2021-05-07T22:30:00.000Z'),
assigneeId: 3,
priorityId: 2,
}, {
text: 'Review Training Course for any Omissions',
startDate: new Date('2021-05-10T21:00:00.000Z'),
endDate: new Date('2021-05-11T19:00:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Recall Rebate Form',
startDate: new Date('2021-05-10T19:45:00.000Z'),
endDate: new Date('2021-05-10T20:15:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Create Report on Customer Feedback',
startDate: new Date('2021-05-11T22:15:00.000Z'),
endDate: new Date('2021-05-12T00:30:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'Review Customer Feedback Report',
startDate: new Date('2021-05-11T23:15:00.000Z'),
endDate: new Date('2021-05-12T01:30:00.000Z'),
assigneeId: 2,
priorityId: 1,
}, {
text: 'Customer Feedback Report Analysis',
startDate: new Date('2021-05-12T16:30:00.000Z'),
endDate: new Date('2021-05-12T17:30:00.000Z'),
recurrenceRule: 'FREQ=WEEKLY',
assigneeId: 4,
priorityId: 2,
}, {
text: 'Prepare Shipping Cost Analysis Report',
startDate: new Date('2021-05-12T19:30:00.000Z'),
endDate: new Date('2021-05-12T20:30:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Provide Feedback on Shippers',
startDate: new Date('2021-05-12T21:15:00.000Z'),
endDate: new Date('2021-05-12T23:00:00.000Z'),
assigneeId: 4,
priorityId: 2,
}, {
text: 'Select Preferred Shipper',
startDate: new Date('2021-05-13T00:30:00.000Z'),
endDate: new Date('2021-05-13T03:00:00.000Z'),
assigneeId: 1,
priorityId: 2,
}, {
text: 'Complete Shipper Selection Form',
startDate: new Date('2021-05-13T15:30:00.000Z'),
endDate: new Date('2021-05-13T17:00:00.000Z'),
assigneeId: 1,
priorityId: 2,
}, {
text: 'Upgrade Server Hardware',
startDate: new Date('2021-05-13T19:00:00.000Z'),
endDate: new Date('2021-05-13T21:15:00.000Z'),
recurrenceRule: 'FREQ=WEEKLY',
assigneeId: 2,
priorityId: 1,
}, {
text: 'Upgrade Personal Computers',
startDate: new Date('2021-05-13T21:45:00.000Z'),
endDate: new Date('2021-05-13T23:30:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Upgrade Apps to Windows RT or stay with WinForms',
startDate: new Date('2021-05-14T17:30:00.000Z'),
endDate: new Date('2021-05-14T20:00:00.000Z'),
assigneeId: 3,
priorityId: 2,
}, {
text: 'Estimate Time Required to Touch-Enable Apps',
startDate: new Date('2021-05-14T21:45:00.000Z'),
endDate: new Date('2021-05-14T23:30:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Report on Tranistion to Touch-Based Apps',
startDate: new Date('2021-05-15T01:30:00.000Z'),
endDate: new Date('2021-05-15T02:00:00.000Z'),
assigneeId: 4,
priorityId: 1,
}, {
text: 'Submit New Website Design',
startDate: new Date('2021-05-17T15:00:00.000Z'),
endDate: new Date('2021-05-17T17:00:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'Create Icons for Website',
startDate: new Date('2021-05-17T18:30:00.000Z'),
endDate: new Date('2021-05-17T20:15:00.000Z'),
assigneeId: 4,
priorityId: 2,
}, {
text: 'Create New Product Pages',
startDate: new Date('2021-05-18T16:45:00.000Z'),
endDate: new Date('2021-05-18T18:45:00.000Z'),
assigneeId: 2,
priorityId: 1,
}, {
text: 'Approve Website Launch',
startDate: new Date('2021-05-18T19:00:00.000Z'),
endDate: new Date('2021-05-18T22:15:00.000Z'),
assigneeId: 3,
priorityId: 2,
}, {
text: 'Update Customer Shipping Profiles',
startDate: new Date('2021-05-19T16:30:00.000Z'),
endDate: new Date('2021-05-19T18:00:00.000Z'),
assigneeId: 1,
priorityId: 2,
}, {
text: 'Create New Shipping Return Labels',
startDate: new Date('2021-05-19T19:45:00.000Z'),
endDate: new Date('2021-05-19T21:00:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Get Design for Shipping Return Labels',
startDate: new Date('2021-05-19T22:00:00.000Z'),
endDate: new Date('2021-05-19T23:30:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'PSD needed for Shipping Return Labels',
startDate: new Date('2021-05-20T15:30:00.000Z'),
endDate: new Date('2021-05-20T16:15:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Contact ISP and Discuss Payment Options',
startDate: new Date('2021-05-20T18:30:00.000Z'),
endDate: new Date('2021-05-20T23:00:00.000Z'),
assigneeId: 4,
priorityId: 1,
}, {
text: 'Prepare Year-End Support Summary Report',
startDate: new Date('2021-05-21T00:00:00.000Z'),
endDate: new Date('2021-05-21T03:00:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Review New Training Material',
startDate: new Date('2021-05-21T15:00:00.000Z'),
endDate: new Date('2021-05-21T16:15:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'Distribute Training Material to Support Staff',
startDate: new Date('2021-05-21T19:45:00.000Z'),
endDate: new Date('2021-05-21T21:00:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Training Material Distribution Schedule',
startDate: new Date('2021-05-21T21:15:00.000Z'),
endDate: new Date('2021-05-21T23:15:00.000Z'),
assigneeId: 3,
priorityId: 2,
}, {
text: 'Approval on Converting to New HDMI Specification',
startDate: new Date('2021-05-24T16:30:00.000Z'),
endDate: new Date('2021-05-24T17:15:00.000Z'),
assigneeId: 4,
priorityId: 2,
}, {
text: 'Create New Spike for Automation Server',
startDate: new Date('2021-05-24T17:00:00.000Z'),
endDate: new Date('2021-05-24T19:30:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Code Review - New Automation Server',
startDate: new Date('2021-05-24T20:00:00.000Z'),
endDate: new Date('2021-05-24T22:00:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Confirm Availability for Sales Meeting',
startDate: new Date('2021-05-25T17:15:00.000Z'),
endDate: new Date('2021-05-25T22:15:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'Reschedule Sales Team Meeting',
startDate: new Date('2021-05-25T23:15:00.000Z'),
endDate: new Date('2021-05-26T01:00:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Send 2 Remotes for Giveaways',
startDate: new Date('2021-05-26T16:30:00.000Z'),
endDate: new Date('2021-05-26T18:45:00.000Z'),
assigneeId: 3,
priorityId: 2,
}, {
text: 'Discuss Product Giveaways with Management',
startDate: new Date('2021-05-26T19:15:00.000Z'),
endDate: new Date('2021-05-26T23:45:00.000Z'),
assigneeId: 4,
priorityId: 1,
}, {
text: 'Replace Desktops on the 3rd Floor',
startDate: new Date('2021-05-27T16:30:00.000Z'),
endDate: new Date('2021-05-27T17:45:00.000Z'),
assigneeId: 2,
priorityId: 1,
}, {
text: 'Update Database with New Leads',
startDate: new Date('2021-05-27T19:00:00.000Z'),
endDate: new Date('2021-05-27T21:15:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'Mail New Leads for Follow Up',
startDate: new Date('2021-05-27T21:45:00.000Z'),
endDate: new Date('2021-05-27T22:30:00.000Z'),
assigneeId: 1,
priorityId: 2,
}, {
text: 'Send Territory Sales Breakdown',
startDate: new Date('2021-05-28T01:00:00.000Z'),
endDate: new Date('2021-05-28T03:00:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'Territory Sales Breakdown Report',
startDate: new Date('2021-05-28T15:45:00.000Z'),
endDate: new Date('2021-05-28T16:45:00.000Z'),
assigneeId: 3,
priorityId: 2,
}, {
text: 'Report on the State of Engineering Dept',
startDate: new Date('2021-05-28T21:45:00.000Z'),
endDate: new Date('2021-05-28T22:30:00.000Z'),
assigneeId: 4,
priorityId: 1,
}, {
text: 'Staff Productivity Report',
startDate: new Date('2021-05-28T23:15:00.000Z'),
endDate: new Date('2021-05-29T02:30:00.000Z'),
assigneeId: 1,
priorityId: 1,
}];
window.config = {
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
defaultExtension: 'js',
map: {
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.8.1/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@23.1.5/cjs',
'devextreme-react': 'npm:devextreme-react@23.1.5',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.6.2/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.1/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.48/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.4/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);

<template>
<DxScheduler
time-zone="America/Los_Angeles"
:data-source="dataSource"
:current-date="currentDate"
:views="views"
:height="600"
:start-day-hour="9"
current-view="agenda"
>
<DxResource
:data-source="assignees"
:use-color-as-default="true"
:allow-multiple="true"
field-expr="assigneeId"
label="Assignee"
/>
<DxResource
:data-source="priorities"
field-expr="priorityId"
label="Priority"
/>
</DxScheduler>
</template>
<script>
import DxScheduler, { DxResource } from 'devextreme-vue/scheduler';
import { data, assignees, priorities } from './data.js';
export default {
components: {
DxScheduler,
DxResource,
},
data() {
return {
views: ['agenda'],
currentDate: new Date(2021, 4, 11),
dataSource: data,
assignees,
priorities,
};
},
};
</script>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.1.5/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>
export const assignees = [{
text: 'Samantha Bright',
id: 1,
color: '#727bd2',
}, {
text: 'John Heart',
id: 2,
color: '#32c9ed',
}, {
text: 'Todd Hoffman',
id: 3,
color: '#2a7ee4',
}, {
text: 'Sandra Johnson',
id: 4,
color: '#7b49d3',
}];
export const priorities = [{
text: 'High',
id: 1,
color: '#cc5c53',
}, {
text: 'Low',
id: 2,
color: '#ff9747',
}];
export const data = [{
text: 'Google AdWords Strategy',
startDate: new Date('2021-05-03T16:00:00.000Z'),
endDate: new Date('2021-05-03T17:30:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'New Brochures',
startDate: new Date('2021-05-03T18:30:00.000Z'),
endDate: new Date('2021-05-03T21:15:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Brochure Design Review',
startDate: new Date('2021-05-03T20:15:00.000Z'),
endDate: new Date('2021-05-03T23:15:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'Website Re-Design Plan',
startDate: new Date('2021-05-03T23:45:00.000Z'),
endDate: new Date('2021-05-04T18:15:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Rollout of New Website and Marketing Brochures',
startDate: new Date('2021-05-04T15:15:00.000Z'),
endDate: new Date('2021-05-04T17:45:00.000Z'),
assigneeId: 4,
priorityId: 2,
}, {
text: 'Update Sales Strategy Documents',
startDate: new Date('2021-05-04T19:00:00.000Z'),
endDate: new Date('2021-05-04T20:45:00.000Z'),
assigneeId: 1,
priorityId: 2,
}, {
text: 'Non-Compete Agreements',
startDate: new Date('2021-05-05T15:15:00.000Z'),
endDate: new Date('2021-05-05T16:00:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Approve Hiring of John Jeffers',
startDate: new Date('2021-05-05T17:00:00.000Z'),
endDate: new Date('2021-05-05T18:15:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'Update NDA Agreement',
startDate: new Date('2021-05-05T18:45:00.000Z'),
endDate: new Date('2021-05-05T20:45:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Update Employee Files with New NDA',
startDate: new Date('2021-05-05T21:00:00.000Z'),
endDate: new Date('2021-05-05T23:45:00.000Z'),
assigneeId: 4,
priorityId: 1,
}, {
text: 'Submit Questions Regarding New NDA',
startDate: new Date('2021-05-07T01:00:00.000Z'),
endDate: new Date('2021-05-06T16:30:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Submit Signed NDA',
startDate: new Date('2021-05-06T19:45:00.000Z'),
endDate: new Date('2021-05-06T21:00:00.000Z'),
assigneeId: 1,
priorityId: 2,
}, {
text: 'Review Revenue Projections',
startDate: new Date('2021-05-07T00:15:00.000Z'),
endDate: new Date('2021-05-06T15:00:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Comment on Revenue Projections',
startDate: new Date('2021-05-07T16:15:00.000Z'),
endDate: new Date('2021-05-07T18:15:00.000Z'),
assigneeId: 3,
priorityId: 2,
}, {
text: 'Provide New Health Insurance Docs',
startDate: new Date('2021-05-07T19:45:00.000Z'),
endDate: new Date('2021-05-07T21:15:00.000Z'),
assigneeId: 3,
priorityId: 2,
}, {
text: 'Review Changes to Health Insurance Coverage',
startDate: new Date('2021-05-07T21:15:00.000Z'),
endDate: new Date('2021-05-07T22:30:00.000Z'),
assigneeId: 3,
priorityId: 2,
}, {
text: 'Review Training Course for any Omissions',
startDate: new Date('2021-05-10T21:00:00.000Z'),
endDate: new Date('2021-05-11T19:00:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Recall Rebate Form',
startDate: new Date('2021-05-10T19:45:00.000Z'),
endDate: new Date('2021-05-10T20:15:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Create Report on Customer Feedback',
startDate: new Date('2021-05-11T22:15:00.000Z'),
endDate: new Date('2021-05-12T00:30:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'Review Customer Feedback Report',
startDate: new Date('2021-05-11T23:15:00.000Z'),
endDate: new Date('2021-05-12T01:30:00.000Z'),
assigneeId: 2,
priorityId: 1,
}, {
text: 'Customer Feedback Report Analysis',
startDate: new Date('2021-05-12T16:30:00.000Z'),
endDate: new Date('2021-05-12T17:30:00.000Z'),
recurrenceRule: 'FREQ=WEEKLY',
assigneeId: 4,
priorityId: 2,
}, {
text: 'Prepare Shipping Cost Analysis Report',
startDate: new Date('2021-05-12T19:30:00.000Z'),
endDate: new Date('2021-05-12T20:30:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Provide Feedback on Shippers',
startDate: new Date('2021-05-12T21:15:00.000Z'),
endDate: new Date('2021-05-12T23:00:00.000Z'),
assigneeId: 4,
priorityId: 2,
}, {
text: 'Select Preferred Shipper',
startDate: new Date('2021-05-13T00:30:00.000Z'),
endDate: new Date('2021-05-13T03:00:00.000Z'),
assigneeId: 1,
priorityId: 2,
}, {
text: 'Complete Shipper Selection Form',
startDate: new Date('2021-05-13T15:30:00.000Z'),
endDate: new Date('2021-05-13T17:00:00.000Z'),
assigneeId: 1,
priorityId: 2,
}, {
text: 'Upgrade Server Hardware',
startDate: new Date('2021-05-13T19:00:00.000Z'),
endDate: new Date('2021-05-13T21:15:00.000Z'),
recurrenceRule: 'FREQ=WEEKLY',
assigneeId: 2,
priorityId: 1,
}, {
text: 'Upgrade Personal Computers',
startDate: new Date('2021-05-13T21:45:00.000Z'),
endDate: new Date('2021-05-13T23:30:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Upgrade Apps to Windows RT or stay with WinForms',
startDate: new Date('2021-05-14T17:30:00.000Z'),
endDate: new Date('2021-05-14T20:00:00.000Z'),
assigneeId: 3,
priorityId: 2,
}, {
text: 'Estimate Time Required to Touch-Enable Apps',
startDate: new Date('2021-05-14T21:45:00.000Z'),
endDate: new Date('2021-05-14T23:30:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Report on Tranistion to Touch-Based Apps',
startDate: new Date('2021-05-15T01:30:00.000Z'),
endDate: new Date('2021-05-15T02:00:00.000Z'),
assigneeId: 4,
priorityId: 1,
}, {
text: 'Submit New Website Design',
startDate: new Date('2021-05-17T15:00:00.000Z'),
endDate: new Date('2021-05-17T17:00:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'Create Icons for Website',
startDate: new Date('2021-05-17T18:30:00.000Z'),
endDate: new Date('2021-05-17T20:15:00.000Z'),
assigneeId: 4,
priorityId: 2,
}, {
text: 'Create New Product Pages',
startDate: new Date('2021-05-18T16:45:00.000Z'),
endDate: new Date('2021-05-18T18:45:00.000Z'),
assigneeId: 2,
priorityId: 1,
}, {
text: 'Approve Website Launch',
startDate: new Date('2021-05-18T19:00:00.000Z'),
endDate: new Date('2021-05-18T22:15:00.000Z'),
assigneeId: 3,
priorityId: 2,
}, {
text: 'Update Customer Shipping Profiles',
startDate: new Date('2021-05-19T16:30:00.000Z'),
endDate: new Date('2021-05-19T18:00:00.000Z'),
assigneeId: 1,
priorityId: 2,
}, {
text: 'Create New Shipping Return Labels',
startDate: new Date('2021-05-19T19:45:00.000Z'),
endDate: new Date('2021-05-19T21:00:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Get Design for Shipping Return Labels',
startDate: new Date('2021-05-19T22:00:00.000Z'),
endDate: new Date('2021-05-19T23:30:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'PSD needed for Shipping Return Labels',
startDate: new Date('2021-05-20T15:30:00.000Z'),
endDate: new Date('2021-05-20T16:15:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Contact ISP and Discuss Payment Options',
startDate: new Date('2021-05-20T18:30:00.000Z'),
endDate: new Date('2021-05-20T23:00:00.000Z'),
assigneeId: 4,
priorityId: 1,
}, {
text: 'Prepare Year-End Support Summary Report',
startDate: new Date('2021-05-21T00:00:00.000Z'),
endDate: new Date('2021-05-21T03:00:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Review New Training Material',
startDate: new Date('2021-05-21T15:00:00.000Z'),
endDate: new Date('2021-05-21T16:15:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'Distribute Training Material to Support Staff',
startDate: new Date('2021-05-21T19:45:00.000Z'),
endDate: new Date('2021-05-21T21:00:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Training Material Distribution Schedule',
startDate: new Date('2021-05-21T21:15:00.000Z'),
endDate: new Date('2021-05-21T23:15:00.000Z'),
assigneeId: 3,
priorityId: 2,
}, {
text: 'Approval on Converting to New HDMI Specification',
startDate: new Date('2021-05-24T16:30:00.000Z'),
endDate: new Date('2021-05-24T17:15:00.000Z'),
assigneeId: 4,
priorityId: 2,
}, {
text: 'Create New Spike for Automation Server',
startDate: new Date('2021-05-24T17:00:00.000Z'),
endDate: new Date('2021-05-24T19:30:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Code Review - New Automation Server',
startDate: new Date('2021-05-24T20:00:00.000Z'),
endDate: new Date('2021-05-24T22:00:00.000Z'),
assigneeId: 3,
priorityId: 1,
}, {
text: 'Confirm Availability for Sales Meeting',
startDate: new Date('2021-05-25T17:15:00.000Z'),
endDate: new Date('2021-05-25T22:15:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'Reschedule Sales Team Meeting',
startDate: new Date('2021-05-25T23:15:00.000Z'),
endDate: new Date('2021-05-26T01:00:00.000Z'),
assigneeId: 1,
priorityId: 1,
}, {
text: 'Send 2 Remotes for Giveaways',
startDate: new Date('2021-05-26T16:30:00.000Z'),
endDate: new Date('2021-05-26T18:45:00.000Z'),
assigneeId: 3,
priorityId: 2,
}, {
text: 'Discuss Product Giveaways with Management',
startDate: new Date('2021-05-26T19:15:00.000Z'),
endDate: new Date('2021-05-26T23:45:00.000Z'),
assigneeId: 4,
priorityId: 1,
}, {
text: 'Replace Desktops on the 3rd Floor',
startDate: new Date('2021-05-27T16:30:00.000Z'),
endDate: new Date('2021-05-27T17:45:00.000Z'),
assigneeId: 2,
priorityId: 1,
}, {
text: 'Update Database with New Leads',
startDate: new Date('2021-05-27T19:00:00.000Z'),
endDate: new Date('2021-05-27T21:15:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'Mail New Leads for Follow Up',
startDate: new Date('2021-05-27T21:45:00.000Z'),
endDate: new Date('2021-05-27T22:30:00.000Z'),
assigneeId: 1,
priorityId: 2,
}, {
text: 'Send Territory Sales Breakdown',
startDate: new Date('2021-05-28T01:00:00.000Z'),
endDate: new Date('2021-05-28T03:00:00.000Z'),
assigneeId: 2,
priorityId: 2,
}, {
text: 'Territory Sales Breakdown Report',
startDate: new Date('2021-05-28T15:45:00.000Z'),
endDate: new Date('2021-05-28T16:45:00.000Z'),
assigneeId: 3,
priorityId: 2,
}, {
text: 'Report on the State of Engineering Dept',
startDate: new Date('2021-05-28T21:45:00.000Z'),
endDate: new Date('2021-05-28T22:30:00.000Z'),
assigneeId: 4,
priorityId: 1,
}, {
text: 'Staff Productivity Report',
startDate: new Date('2021-05-28T23:15:00.000Z'),
endDate: new Date('2021-05-29T02:30:00.000Z'),
assigneeId: 1,
priorityId: 1,
}];
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'root:': '../../../../../',
'npm:': 'https://unpkg.com/',
},
map: {
'vue': 'npm:vue@3.3.4/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.1/index.js',
'demo-ts-loader': 'root:utils/demo-ts-loader.js',
'svg-loader': 'root:utils/svg-loader.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@23.1.5/cjs',
'devextreme-vue': 'npm:devextreme-vue@23.1.5',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.6.2/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.1/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.48/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.4/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
System.config(window.config);